Subject: Detecting “expiring” builds

From: Ludovic Courtès <[email-masked]>
Date: Sat, 20 Feb 2021 15:12:03 +0100

It occurred to me that, just like we have childhurds, we could provide a
service that sets up a sub-Guix System running in a VM with its clock
set years ahead, and you would offload to that.  That’s not perfect, but
it’s a rather easy addition.

Another option would be to have built-in support in the daemon.  If you
turn on some option, it would transparently run derivation builds in
qemu-user (does that support changing the system date?) or similar, but
that’s more work.

Ludo’.